## botan 1.6.3

=== doc/examples/Makefile ===
# Assumes Botan was compiled with GCC

BOTAN_DIR = ../..

CXX       = g++
CFLAGS    = -O2 -ansi -W -Wall

INCLUDES  = `$(BOTAN_DIR)/botan-config --cflags`
LIBS      = `$(BOTAN_DIR)/botan-config --libs`
FLAGS     = $(INCLUDES) $(CFLAGS) -I$(BOTAN_DIR)/build/include -L$(BOTAN_DIR)

X509_EX   = ca pkcs10 self_sig x509info asn1
RSA_EX    = rsa_kgen rsa_enc rsa_dec
DSA_EX    = dsa_kgen dsa_sign dsa_ver
DH_EX     = dh
HASH_EX   = hash hash_fd hasher hasher2 stack
MISC_EX   = factor base base64 bzip encrypt decrypt xor_ciph

PROGS     = $(X509_EX) $(RSA_EX) $(DSA_EX) $(DH_EX) $(HASH_EX) $(MISC_EX)

STRIP     = true

all: $(PROGS)

clean:
	@rm -f $(PROGS)

asn1: asn1.cpp
	$(CXX) $(FLAGS) $? $(LIBS) -o $@
	@$(STRIP) $@

base: base.cpp
	$(CXX) $(FLAGS) $? $(LIBS) -o $@
	@$(STRIP) $@

base64: base64.cpp
	$(CXX) $(FLAGS) $? $(LIBS) -o $@
	@$(STRIP) $@

bzip: bzip.cpp
	$(CXX) $(FLAGS) $? $(LIBS) -o $@
	@$(STRIP) $@

ca: ca.cpp
	$(CXX) $(FLAGS) $? $(LIBS) -o $@
	@$(STRIP) $@

decrypt: decrypt.cpp
	$(CXX) $(FLAGS) $? $(LIBS) -o $@
	@$(STRIP) $@

dh: dh.cpp
	$(CXX) $(FLAGS) $? $(LIBS) -o $@
	@$(STRIP) $@

dsa_kgen: dsa_kgen.cpp
	$(CXX) $(FLAGS) $? $(LIBS) -o $@
	@$(STRIP) $@

dsa_sign: dsa_sign.cpp
	$(CXX) $(FLAGS) $? $(LIBS) -o $@
	@$(STRIP) $@

dsa_ver: dsa_ver.cpp
	$(CXX) $(FLAGS) $? $(LIBS) -o $@
	@$(STRIP) $@

encrypt: encrypt.cpp
	$(CXX) $(FLAGS) $? $(LIBS) -o $@
	@$(STRIP) $@

factor: factor.cpp
	$(CXX) $(FLAGS) $? $(LIBS) -o $@
	@$(STRIP) $@

hash: hash.cpp
	$(CXX) $(FLAGS) $? $(LIBS) -o $@
	@$(STRIP) $@

hash_fd: hash_fd.cpp
	$(CXX) $(FLAGS) $? $(LIBS) -o $@
	@$(STRIP) $@

hasher: hasher.cpp
	$(CXX) $(FLAGS) $? $(LIBS) -o $@
	@$(STRIP) $@

hasher2: hasher2.cpp
	$(CXX) $(FLAGS) $? $(LIBS) -o $@
	@$(STRIP) $@

pkcs10: pkcs10.cpp
	$(CXX) $(FLAGS) $? $(LIBS) -o $@
	@$(STRIP) $@

rsa_dec: rsa_dec.cpp
	$(CXX) $(FLAGS) $? $(LIBS) -o $@
	@$(STRIP) $@

rsa_enc: rsa_enc.cpp
	$(CXX) $(FLAGS) $? $(LIBS) -o $@
	@$(STRIP) $@

rsa_kgen: rsa_kgen.cpp
	$(CXX) $(FLAGS) $? $(LIBS) -o $@
	@$(STRIP) $@

self_sig: self_sig.cpp
	$(CXX) $(FLAGS) $? $(LIBS) -o $@
	@$(STRIP) $@

stack: stack.cpp
	$(CXX) $(FLAGS) $? $(LIBS) -o $@
	@$(STRIP) $@

x509info: x509info.cpp
	$(CXX) $(FLAGS) $? $(LIBS) -o $@
	@$(STRIP) $@

xor_ciph: xor_ciph.cpp
	$(CXX) $(FLAGS) $? $(LIBS) -o $@
	@$(STRIP) $@

=== misc/cms/Makefile ===

SRCS=cms_algo.cpp cms_comp.cpp cms_dalg.cpp cms_dec.cpp cms_ealg.cpp cms_enc.cpp
OBJS=cms_algo.o cms_comp.o cms_dalg.o cms_dec.o cms_ealg.o cms_enc.o

libcms.a: $(OBJS)
	ar libcms.a $(OBJS)

%.o: %.cpp
	g++ -I. $(shell botan-config --cflags) -c $? -o $@

clean:
	rm -f *.o

=== misc/gtk/Makefile ===

LIBS=$(shell botan-config --libs) $(shell pkg-config --libs gtk+-2.0)
IFLAGS=$(shell botan-config --cflags) $(shell pkg-config --cflags gtk+-2.0)

CXX = g++
CXXFLAGS = -Wall -W $(IFLAGS)

dsa: gtk_ui.o dsa.o
	$(CXX) $^ $(LIBS) -o $@

gtk_ui.o: gtk_ui.cpp gtk_ui.h
	$(CXX) $(CXXFLAGS) -c $< -o $@

dsa.o: dsa.cpp gtk_ui.h
	$(CXX) $(CXXFLAGS) -c $< -o $@

clean:
	rm -f dsa *.o

=== misc/nist_tests/Makefile ===

BOTAN_CONFIG=botan-config

CC=g++
FLAGS=-g -Os -W -Wall -ansi
LDFLAGS=$(shell $(BOTAN_CONFIG) --libs)
CFLAGS=$(shell $(BOTAN_CONFIG) --cflags)

x509test: x509test.cpp
	$(CC) $(FLAGS) $(CFLAGS) x509test.cpp $(LDFLAGS) -o x509test

clean:
	rm -f x509test

=== misc/python/Makefile ===
CXX = g++
LANG_FLAGS = -fPIC -Wall -Wno-unused -ftemplate-depth-255
OPT_FLAGS = -g -Os

PYTHON_ROOT = /usr/lib/python2.4/config
PYTHON_INC = -I/usr/include/python2.4
PYTHON_DEF = -DBOOST_PYTHON_DYNAMIC_LIB -DBOOST_PYTHON_SOURCE

WRAPPER_CFLAGS = $(shell botan-config --cflags)
SHARED_CFLAGS = $(LANG_FLAGS) $(OPT_FLAGS) $(PYTHON_INC)

BOOST_CFLAGS = $(PYTHON_DEF) $(SHARED_CFLAGS)

WRAP_SRC = $(wildcard src/*.cpp)
WRAP_OBJS = $(patsubst src/%.cpp,%.o,$(WRAP_SRC))

all: botan/_botan.so

%.o: src/%.cpp
	$(CXX) -Isrc/ $(SHARED_CFLAGS) $(WRAPPER_CFLAGS) -c $< -o $@

botan/_botan.so: $(WRAP_OBJS) 
	$(CXX) -shared -o $@ $(shell botan-config --libs) -L$(PYTHON_ROOT) $(WRAP_OBJS) -lboost_python -Wl,-rpath-link,. -Wl,-soname,$@

clean:
	rm -f $(WRAP_OBJS) botan/_botan.so botan/*.pyc

## botan 2.4.0

=== debian/changelog ===
botan (2.4.0-5~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
    + Use debhelper 10.
    + Set myself as maintainer in stretch-backports.

 -- Dominik George <natureshadow@debian.org>  Wed, 11 Apr 2018 23:00:06 +0200

botan (2.4.0-5) unstable; urgency=high

  * Backport security fix for invalid wildcard match (closes: #894648).
  * Backport fix for validation tests due to test certs had expired.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 03 Apr 2018 05:04:53 +0000

botan (2.4.0-4) unstable; urgency=medium

  * Backport upstream fix for disabling NEON (closes: #893372).
  * Backport upstream fix for Python3 module support (closes: #893730).
  * Make python3-botan architecture any.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 28 Mar 2018 16:41:55 +0000

botan (2.4.0-3) unstable; urgency=medium

  * Disable NEON intrinsics for ARM* builds.
  * Use upstream patch for Hurd FTBFS fix.
  * Really use the distribution-info switch for configure.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 16 Mar 2018 06:39:19 +0000

botan (2.4.0-2) unstable; urgency=medium

  * Don't remove .doctrees from the manual if it doesn't exist.
  * Don't specify parallel to debhelper.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 01 Mar 2018 22:23:25 +0000

botan (2.4.0-1) unstable; urgency=low

  * Initial upload (closes: #884130).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 08 Jan 2018 20:51:17 +0000

=== debian/control ===
Source: botan
Section: libs
Priority: optional
Maintainer: Dominik George <natureshadow@debian.org>
Build-Depends:
 debhelper (>= 10),
 python3-sphinx,
 libbz2-dev,
 liblzma-dev,
 libssl-dev,
 libsqlite3-dev,
 libtspi-dev,
 zlib1g-dev,
 python,
 python3-all-dev
Standards-Version: 4.1.3
Homepage: https://botan.randombit.net/
X-Python3-Version: >= 3.4

Package: botan
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: multiplatform crypto library (2.x version)
 Botan is a C++ library which provides support for many common cryptographic
 operations, including encryption, authentication, and X.509v3 certificates and
 CRLs. A wide variety of algorithms is supported, including RSA, DSA, DES, AES,
 MD5, and SHA-1.
 .
 This package contains the 2.x version of Botan.

Package: libbotan-2-4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: multiplatform crypto library (2.x version)
 Botan is a C++ library which provides support for many common cryptographic
 operations, including encryption, authentication, and X.509v3 certificates and
 CRLs. A wide variety of algorithms is supported, including RSA, DSA, DES, AES,
 MD5, and SHA-1.
 .
 This package contains the 2.x version of Botan.

Package: libbotan-2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libbotan-2-4 (= ${binary:Version})
Description: multiplatform crypto library (2.x version)
 Botan is a C++ library which provides support for many common cryptographic
 operations, including encryption, authentication, and X.509v3 certificates and
 CRLs. A wide variety of algorithms is supported, including RSA, DSA, DES, AES,
 MD5, and SHA-1.
 .
 This package contains the 2.x version of Botan.

Package: libbotan-2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
Description: multiplatform crypto library (2.x version)
 Botan is a C++ library which provides support for many common cryptographic
 operations, including encryption, authentication, and X.509v3 certificates and
 CRLs. A wide variety of algorithms is supported, including RSA, DSA, DES, AES,
 MD5, and SHA-1.
 .
 This package contains the 2.x version of Botan.

Package: python3-botan
Section: python
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, libbotan-2-4 (= ${binary:Version})
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Description: multiplatform crypto library (2.x version), Python3 module
 Botan is a C++ library which provides support for many common cryptographic
 operations, including encryption, authentication, and X.509v3 certificates and
 CRLs. A wide variety of algorithms is supported, including RSA, DSA, DES, AES,
 MD5, and SHA-1.
 .
 This package contains the Botan (2.x version) module for Python 3.x .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DOCPKG = $(CURDIR)/debian/libbotan-2-doc

override_dh_clean:
	dh_clean
	rm -f $(CURDIR)/Certificate\ Store*.db

override_dh_auto_configure:
	$(CURDIR)/configure.py \
		--prefix=/usr/ \
		--disable-neon \
		--with-rst2man \
		--with-bzip2 \
		--with-lzma \
		--with-openssl \
		--with-sqlite3 \
		--with-tpm \
		--with-zlib \
		--with-python-versions=3 \
		--distribution-info=Debian

override_dh_auto_test:
	LD_LIBRARY_PATH=. $(CURDIR)/botan-test

override_dh_install:
	dh_install
	rm -rf $(DOCPKG)/usr/share/doc/libbotan-2-doc/manual/.doctrees

%:
	dh $@ --with python3

.PHONY: override_dh_clean override_dh_auto_configure override_dh_auto_test \
	override_dh_install

## botan 2.6.0

=== debian/changelog ===
botan (2.6.0-3build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 06:53:23 +0000

botan (2.6.0-3) unstable; urgency=high

  * Backport security related patches:
    - CVE-2018-12435: memory-cache side-channel attack on ECDSA signatures
      (closes: #901619),
    - in ECC avoid using significant words to dispatch the mult algo.
  * Update Standards-Version to 4.1.4 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 16 Jun 2018 05:58:09 +0000

botan (2.6.0-2) unstable; urgency=medium

  * Upload to Sid.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 29 Apr 2018 13:53:53 +0000

botan (2.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop merged patches.
  * Library transition from libbotan-2-4 to libbotan-2-5 .
  * Add watch file.

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Use multiarch paths (closes: #895447).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 11 Apr 2018 18:24:40 +0000

botan (2.4.0-6) unstable; urgency=high

  * Backport CVE-2018-9860 security fix for memory over read in TLS CBC
    decryption.
  * Sync with Ubuntu (closes: #895250).

  [ Matthias Klose <doko@ubuntu.com> ]
  * On armhf, configure with --cpu=armv7. Using the procinfo processor name
    is plain wrong.
  * Only pass --disable-neon to the configure when building on armel or armhf.
  * Don't hard code the vendor information.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 10 Apr 2018 17:55:33 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: botan
 Section: libs
 Priority: optional
-Maintainer: Dominik George <natureshadow@debian.org>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  python3-sphinx,
  libbz2-dev,
  liblzma-dev,
@@ -13,7 +13,7 @@
  zlib1g-dev,
  python,
  python3-all-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://botan.randombit.net/
 X-Python3-Version: >= 3.4
 
@@ -29,7 +29,7 @@
  .
  This package contains the 2.x version of Botan.
 
-Package: libbotan-2-4
+Package: libbotan-2-5
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -44,7 +44,7 @@
 Package: libbotan-2-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libbotan-2-4 (= ${binary:Version})
+Depends: ${misc:Depends}, libbotan-2-5 (= ${binary:Version})
 Description: multiplatform crypto library (2.x version)
  Botan is a C++ library which provides support for many common cryptographic
  operations, including encryption, authentication, and X.509v3 certificates and
@@ -68,7 +68,7 @@
 Package: python3-botan
 Section: python
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, libbotan-2-4 (= ${binary:Version})
+Depends: ${misc:Depends}, ${python3:Depends}, libbotan-2-5 (= ${binary:Version})
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
 Description: multiplatform crypto library (2.x version), Python3 module

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+include /usr/share/dpkg/architecture.mk
 
 DOCPKG = $(CURDIR)/debian/libbotan-2-doc
 
@@ -13,7 +15,8 @@
 override_dh_auto_configure:
 	$(CURDIR)/configure.py \
 		--prefix=/usr/ \
-		--disable-neon \
+		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
+		$(if $(filter $(DEB_HOST_ARCH), armel armhf),--disable-neon) \
 		--with-rst2man \
 		--with-bzip2 \
 		--with-lzma \
@@ -22,7 +25,9 @@
 		--with-tpm \
 		--with-zlib \
 		--with-python-versions=3 \
-		--distribution-info=Debian
+		$(if $(filter $(DEB_HOST_ARCH), armhf),--cpu=armv7) \
+		$(if $(filter $(DEB_HOST_ARCH), hurd-i386),--cpu=x86_32) \
+		--distribution-info=$(shell dpkg-vendor --query Vendor)
 
 override_dh_auto_test:
 	LD_LIBRARY_PATH=. $(CURDIR)/botan-test
@@ -30,6 +35,7 @@
 override_dh_install:
 	dh_install
 	rm -rf $(DOCPKG)/usr/share/doc/libbotan-2-doc/manual/.doctrees
+	dh_missing --list-missing
 
 %:
 	dh $@ --with python3

## botan 2.9.0

=== debian/changelog ===
botan (2.9.0-2) unstable; urgency=medium

  * Upload to Sid.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 13 Jan 2019 18:56:06 +0000

botan (2.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Fix CVE-2018-20187: address a side channel during ECC key generation,
    which used an unblinded Montgomery ladder (closes: #918732).
  * Library transition from libbotan-2-8 to libbotan-2-9 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 12 Jan 2019 13:16:11 +0000

botan (2.8.0-3) unstable; urgency=medium

  * Fix architecture independent build.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 08 Jan 2019 01:07:20 +0000

botan (2.8.0-2) unstable; urgency=medium

  * Upload to Sid.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 07 Jan 2019 20:01:19 +0000

botan (2.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Library transition from libbotan-2-7 to libbotan-2-8 .
  * Fix ARM CPU detection (closes: #916970).
  * Overhaul copyright file (closes: #905335).
  * Update Standards-Version to 4.3.0 .

  [ Chris Lamb <lamby@debian.org> ]
  * Make the build reproducible (closes: #909476).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 01 Jan 2019 11:31:02 +0000

botan (2.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Library transition from libbotan-2-5 to libbotan-2-7 .
  * Update Standards-Version to 4.1.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 02 Aug 2018 04:52:07 +0000

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
  zlib1g-dev,
  python,
  python3-all-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://botan.randombit.net/
-X-Python3-Version: >= 3.4
+X-Python3-Version: >= 3.5
 
 Package: botan
 Section: libdevel
@@ -29,7 +29,7 @@
  .
  This package contains the 2.x version of Botan.
 
-Package: libbotan-2-5
+Package: libbotan-2-9
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -44,7 +44,7 @@
 Package: libbotan-2-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libbotan-2-5 (= ${binary:Version})
+Depends: ${misc:Depends}, libbotan-2-9 (= ${binary:Version})
 Description: multiplatform crypto library (2.x version)
  Botan is a C++ library which provides support for many common cryptographic
  operations, including encryption, authentication, and X.509v3 certificates and
@@ -68,7 +68,7 @@
 Package: python3-botan
 Section: python
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, libbotan-2-5 (= ${binary:Version})
+Depends: ${misc:Depends}, ${python3:Depends}, libbotan-2-9 (= ${binary:Version})
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
 Description: multiplatform crypto library (2.x version), Python3 module

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 include /usr/share/dpkg/architecture.mk
 
+DEVPKG = $(CURDIR)/debian/libbotan-2-dev
 DOCPKG = $(CURDIR)/debian/libbotan-2-doc
 
 override_dh_clean:
@@ -32,13 +33,20 @@
 override_dh_auto_test:
 	LD_LIBRARY_PATH=. $(CURDIR)/botan-test
 
-override_dh_install:
-	dh_install
+override_dh_install-arch:
+	dh_install -a
+	sed -i -e 's/ -f\(debug\|file\)-prefix-map=[^ ]*=\. / /' $(DEVPKG)/usr/include/botan-2/botan/build.h
+
+override_dh_install-indep:
+	dh_install -i
 	rm -rf $(DOCPKG)/usr/share/doc/libbotan-2-doc/manual/.doctrees
+
+override_dh_missing:
 	dh_missing --list-missing
 
 %:
 	dh $@ --with python3
 
 .PHONY: override_dh_clean override_dh_auto_configure override_dh_auto_test \
-	override_dh_install
+	override_dh_install-arch override_dh_install-indep \
+	override_dh_missing

=== debian/watch ===
version=4
opts=uversionmangle=s/^(\d)_?(\d)_?(\d)$/$1.$2.$3/;s/^(\d)_?(\d)$/$1.$2/ \
https://github.com/randombit/botan/tags .*/(\d[\d\.]+)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz|zip)

## botan 2.12.1

=== debian/changelog ===
botan (2.12.1-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:35:12 +0100

botan (2.12.1-2) unstable; urgency=medium

  * Upload to Sid.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 26 Dec 2019 20:52:05 +0000

botan (2.12.1-1) experimental; urgency=medium

  * New upstream release.
  * Patch package to use Python 3 (closes: #936230).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 14 Oct 2019 15:20:08 +0000

botan (2.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Library transition from libbotan-2-11 to libbotan-2-12 .
  * Update Python packaging bits.
  * Add cryptographic signature verification to watch file.
  * Update Standards-Version to 4.4.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 07 Oct 2019 15:13:12 +0000

botan (2.11.0-1) experimental; urgency=medium

  * New upstream release.
  * Library transition from libbotan-2-9 to libbotan-2-11 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 16 Jul 2019 13:24:01 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 11),
+ dh-python,
  python3-sphinx,
  libbz2-dev,
  liblzma-dev,
@@ -11,11 +12,9 @@
  libsqlite3-dev,
  libtspi-dev,
  zlib1g-dev,
- python,
  python3-all-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://botan.randombit.net/
-X-Python3-Version: >= 3.5
 
 Package: botan
 Section: libdevel
@@ -29,7 +28,7 @@
  .
  This package contains the 2.x version of Botan.
 
-Package: libbotan-2-9
+Package: libbotan-2-12
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -44,7 +43,7 @@
 Package: libbotan-2-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libbotan-2-9 (= ${binary:Version})
+Depends: ${misc:Depends}, libbotan-2-12 (= ${binary:Version})
 Description: multiplatform crypto library (2.x version)
  Botan is a C++ library which provides support for many common cryptographic
  operations, including encryption, authentication, and X.509v3 certificates and
@@ -68,9 +67,7 @@
 Package: python3-botan
 Section: python
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, libbotan-2-9 (= ${binary:Version})
-Provides: ${python3:Provides}
-XB-Python-Version: ${python3:Versions}
+Depends: ${misc:Depends}, ${python3:Depends}, libbotan-2-12 (= ${binary:Version})
 Description: multiplatform crypto library (2.x version), Python3 module
  Botan is a C++ library which provides support for many common cryptographic
  operations, including encryption, authentication, and X.509v3 certificates and

=== debian/watch ===
version=4
# GitHub
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/^(\d)_?(\d)_?(\d)$/$1.$2.$3/;s/^(\d)_?(\d)$/$1.$2/ \
https://github.com/randombit/botan/tags .*/(\d[\d\.]+)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz|zip)

# Upstream
opts=pgpsigurlmangle=s/$/.asc/ \
https://botan.randombit.net/releases/ Botan-(\d[\d\.]+)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz|zip)

## botan 2.14.0+dfsg

=== debian/changelog ===
botan (2.14.0+dfsg-2) unstable; urgency=medium

  * Upload to Sid.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 27 Apr 2020 16:40:04 +0000

botan (2.14.0+dfsg-1) experimental; urgency=medium

  * Remove unclear licensed PKCS #11 headers (closes: #952951).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 26 Apr 2020 10:21:51 +0000

botan (2.14.0-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 11 Apr 2020 21:22:12 +0000

botan (2.13.0-1) experimental; urgency=medium

  * New upstream release.
  * Library transition from libbotan-2-12 to libbotan-2-13 .
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 26 Jan 2020 19:02:51 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libtspi-dev,
  zlib1g-dev,
  python3-all-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://botan.randombit.net/
 
 Package: botan
@@ -28,9 +28,10 @@
  .
  This package contains the 2.x version of Botan.
 
-Package: libbotan-2-12
+Package: libbotan-2-13
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: multiplatform crypto library (2.x version)
  Botan is a C++ library which provides support for many common cryptographic
@@ -43,7 +44,7 @@
 Package: libbotan-2-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libbotan-2-12 (= ${binary:Version})
+Depends: ${misc:Depends}, libbotan-2-13 (= ${binary:Version})
 Description: multiplatform crypto library (2.x version)
  Botan is a C++ library which provides support for many common cryptographic
  operations, including encryption, authentication, and X.509v3 certificates and
@@ -55,6 +56,7 @@
 Package: libbotan-2-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
 Description: multiplatform crypto library (2.x version)
  Botan is a C++ library which provides support for many common cryptographic
@@ -67,7 +69,7 @@
 Package: python3-botan
 Section: python
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, libbotan-2-12 (= ${binary:Version})
+Depends: ${misc:Depends}, ${python3:Depends}, libbotan-2-13 (= ${binary:Version})
 Description: multiplatform crypto library (2.x version), Python3 module
  Botan is a C++ library which provides support for many common cryptographic
  operations, including encryption, authentication, and X.509v3 certificates and

=== debian/watch ===
version=4
# GitHub
#opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/^(\d)_?(\d)_?(\d)$/$1.$2.$3/;s/^(\d)_?(\d)$/$1.$2/ \
#https://github.com/randombit/botan/tags .*/(\d[\d\.]+)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz|zip)

# Upstream
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
pgpsigurlmangle=s/$/.asc/ \
https://botan.randombit.net/releases/ Botan-(\d[\d\.]+)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz|zip)

## botan 2.17.3+dfsg

=== debian/changelog ===
botan (2.17.3+dfsg-2) unstable; urgency=medium

  * Update watch file.

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Reduce Build-Depends (closes: #983016):
    + Move python3-sphinx to B-D-I.
    + Explicitly B-D: python3-docutils for rst2man no longer implied by
      python3-sphinx.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 18 Feb 2021 19:22:10 +0100

botan (2.17.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 22 Dec 2020 07:15:56 +0100

botan (2.17.2+dfsg-2) unstable; urgency=medium

  * Upload to Sid.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 15 Nov 2020 22:28:51 +0100

botan (2.17.2+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 13 Nov 2020 16:52:54 +0100

botan (2.17.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Backport upstream build fix to use -mcpu=power9 for DARN instruction on
    ppc64el.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 10 Nov 2020 16:59:58 +0100

botan (2.17.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Library transition from libbotan-2-16 to libbotan-2-17 .
  * Update debhelper level to 12 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 05 Nov 2020 17:57:32 +0100

botan (2.16.0+dfsg-2) unstable; urgency=medium

  * Upload to Sid.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 01 Nov 2020 19:20:56 +0100

botan (2.16.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Library transition from libbotan-2-15 to libbotan-2-16 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 06 Oct 2020 18:38:29 +0200

botan (2.15.0+dfsg-2) unstable; urgency=medium

  * Upload to Sid.
  * Link documentation JavaScript files to their respective ones in
    node-html5shiv.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 25 Sep 2020 22:28:59 +0200

botan (2.15.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Library transition from libbotan-2-13 to libbotan-2-15 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 11 Jul 2020 08:37:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,18 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  dh-python,
- python3-sphinx,
  libbz2-dev,
  liblzma-dev,
  libssl-dev,
  libsqlite3-dev,
  libtspi-dev,
  zlib1g-dev,
- python3-all-dev
+ python3-all-dev,
+ python3-docutils,
+Build-Depends-Indep:
+ python3-sphinx,
 Standards-Version: 4.5.0
 Homepage: https://botan.randombit.net/
 
@@ -28,7 +30,7 @@
  .
  This package contains the 2.x version of Botan.
 
-Package: libbotan-2-13
+Package: libbotan-2-17
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -44,7 +46,7 @@
 Package: libbotan-2-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libbotan-2-13 (= ${binary:Version})
+Depends: ${misc:Depends}, libbotan-2-17 (= ${binary:Version})
 Description: multiplatform crypto library (2.x version)
  Botan is a C++ library which provides support for many common cryptographic
  operations, including encryption, authentication, and X.509v3 certificates and
@@ -57,7 +59,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
+Depends: ${misc:Depends}, sphinx-doc, libjs-jquery, libjs-underscore, node-html5shiv
 Description: multiplatform crypto library (2.x version)
  Botan is a C++ library which provides support for many common cryptographic
  operations, including encryption, authentication, and X.509v3 certificates and
@@ -69,7 +71,7 @@
 Package: python3-botan
 Section: python
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, libbotan-2-13 (= ${binary:Version})
+Depends: ${misc:Depends}, ${python3:Depends}, libbotan-2-17 (= ${binary:Version})
 Description: multiplatform crypto library (2.x version), Python3 module
  Botan is a C++ library which provides support for many common cryptographic
  operations, including encryption, authentication, and X.509v3 certificates and

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 
 override_dh_install-indep:
 	dh_install -i
-	rm -rf $(DOCPKG)/usr/share/doc/libbotan-2-doc/manual/.doctrees
+	rm -rf $(DOCPKG)/usr/share/doc/libbotan-2-doc/handbook/.doctrees
 
 override_dh_missing:
 	dh_missing --list-missing

=== debian/watch ===
version=4
# GitHub
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
pgpsigurlmangle=s/$/.asc/ \
https://github.com/randombit/botan/tags .*/(\d\S+)@ARCHIVE_EXT@

# Upstream
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
pgpsigurlmangle=s/$/.asc/ \
https://botan.randombit.net/releases/ Botan-(\d\S+)@ARCHIVE_EXT@

## botan 2.18.2%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,30 @@
 #export DH_VERBOSE=1
 
 include /usr/share/dpkg/architecture.mk
+include /usr/share/dpkg/buildtools.mk
 
 DEVPKG = $(CURDIR)/debian/libbotan-2-dev
 DOCPKG = $(CURDIR)/debian/libbotan-2-doc
+
+ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+OS_MAP_hurd = gnu
+OS_MAP_kfreebsd = gnu/kfreebsd
+CROSS_FLAGS += --os=$(or $(OS_MAP_$(DEB_HOST_ARCH_OS)),$(DEB_HOST_ARCH_OS))
+CPU_MAP_aarch64 = arm64
+CPU_MAP_arm = arm32
+CPU_MAP_i686 = x86_32
+CPU_MAP_mips64el = mips64
+CPU_MAP_mips = mips32
+CPU_MAP_mipsel = mips32
+CPU_MAP_powerpc = ppc32
+CPU_MAP_powerp64 = ppc64
+CPU_MAP_powerpc64le = ppc64
+CPU_MAP_sh4 = superh
+ifeq (,$(filter $(DEB_HOST_ARCH),armhf hurd-i386))
+CROSS_FLAGS +=--cpu=$(or $(CPU_MAP_$(DEB_HOST_GNU_CPU)),$(DEB_HOST_GNU_CPU))
+endif
+CROSS_FLAGS += --cc-bin=$(CXX) --ar-command=$(AR)
+endif
 
 override_dh_clean:
 	dh_clean
@@ -15,6 +36,7 @@
 
 override_dh_auto_configure:
 	$(CURDIR)/configure.py \
+		$(CROSS_FLAGS) \
 		--prefix=/usr/ \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		$(if $(filter $(DEB_HOST_ARCH), armel armhf),--disable-neon) \
@@ -31,7 +53,9 @@
 		--distribution-info=$(shell dpkg-vendor --query Vendor)
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	LD_LIBRARY_PATH=. $(CURDIR)/botan-test
+endif
 
 override_dh_install-arch:
 	dh_install -a

=== debian/watch ===
version=4
# GitHub
opts=uversionmangle=s/(\d)[_\.\-\+]?((rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/i,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//i,\
pgpsigurlmangle=s/$/.asc/ \
https://github.com/randombit/botan/tags \
(?:|.*/)v?(\d\S*)@ARCHIVE_EXT@

# Upstream
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
uversionmangle=s/-?(beta)-?/~$1/;s/-?(alpha)-?/~$1/;s/-?(rc)-?/~rc/;s/\.?(RC)-?/~rc/,\
pgpsigurlmangle=s/$/.asc/ \
https://botan.randombit.net/releases/ Botan-(\d\S+)@ARCHIVE_EXT@

## botan 2.18.2+dfsg

=== debian/changelog ===
botan (2.18.2+dfsg-1deepin1) unstable; urgency=medium

  * Add loong64 support.

 -- xiangzelong <xiangzelong@deepin.org>  Thu, 29 Aug 2024 14:47:35 +0800

botan (2.18.2+dfsg-1) unstable; urgency=medium

  * New upstream release:
    - remove support in OpenSSL provider for algorithms which are disabled by
      default in OpenSSL 3.0 (closes: #995639),
    - fix some test failures induced by the expiration of the trust root
      "DST Root CA X3" (closes: #997658).
  * Update watch file.
  * Update Standards-Version to 4.6.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 25 Oct 2021 17:05:06 +0200

botan (2.18.1+dfsg-3) unstable; urgency=high

  * Backport security related patches:
    - new sizes for DL exponents,
    - CVE-2021-40529: avoid using short exponents with ElGamal
      (closes: #993840).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 07 Sep 2021 17:38:02 +0200

botan (2.18.1+dfsg-2) unstable; urgency=medium

  * Upload to Sid.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 06 Sep 2021 18:02:15 +0200

botan (2.18.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Library transition from libbotan-2-17 to libbotan-2-18 .
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.5.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 18 Aug 2021 18:36:38 +0200

botan (2.17.3+dfsg-3) unstable; urgency=medium

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTCBFS (closes: #984700):
    + Reduce Build-Depends: python3-all-dev to python3:any.
    + Pass the right flags to ./configure.py.
    + Honour DEB_BUILD_OPTIONS=nocheck.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 07 Mar 2021 14:32:44 +0100

## botan 2.19.1+dfsg

=== debian/changelog ===
botan (2.19.1+dfsg-2ubuntu1) jammy; urgency=medium

  * d/patches/remove-openssl-provider.patch: Grab patch from upstream that
    removes the openssl provider, which breaks in obscure ways with OpenSSL 3.
    (LP: #1959021)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 11 Mar 2022 11:49:51 +1300

botan (2.19.1+dfsg-2) unstable; urgency=medium

  * Upload to Sid.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 29 Jan 2022 10:33:09 +0100

botan (2.19.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Library transition from libbotan-2-18 to libbotan-2-19 .
  * Update copright file (closes: #985748).
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 23 Jan 2022 20:17:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: botan
 Section: libs
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  libbz2-dev,
  liblzma-dev,
- libssl-dev,
  libsqlite3-dev,
  libtspi-dev,
  zlib1g-dev,
- python3-all-dev,
+ python3:any,
  python3-docutils,
 Build-Depends-Indep:
  python3-sphinx,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://botan.randombit.net/
 
 Package: botan
@@ -30,7 +30,7 @@
  .
  This package contains the 2.x version of Botan.
 
-Package: libbotan-2-17
+Package: libbotan-2-19
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -46,7 +46,7 @@
 Package: libbotan-2-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libbotan-2-17 (= ${binary:Version})
+Depends: ${misc:Depends}, libbotan-2-19 (= ${binary:Version})
 Description: multiplatform crypto library (2.x version)
  Botan is a C++ library which provides support for many common cryptographic
  operations, including encryption, authentication, and X.509v3 certificates and
@@ -71,7 +71,7 @@
 Package: python3-botan
 Section: python
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, libbotan-2-17 (= ${binary:Version})
+Depends: ${misc:Depends}, ${python3:Depends}, libbotan-2-19 (= ${binary:Version})
 Description: multiplatform crypto library (2.x version), Python3 module
  Botan is a C++ library which provides support for many common cryptographic
  operations, including encryption, authentication, and X.509v3 certificates and

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,6 @@
 		--with-rst2man \
 		--with-bzip2 \
 		--with-lzma \
-		--with-openssl \
 		--with-sqlite3 \
 		--with-tpm \
 		--with-zlib \

## botan 2.19.2+dfsg

=== debian/changelog ===
botan (2.19.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 18 Jun 2022 11:56:15 +0200

botan (2.19.1+dfsg-3) unstable; urgency=medium

  * Sync with Ubuntu.

  [ Michael Hudson-Doyle <michael.hudson@ubuntu.com> ]
  * d/patches/remove-openssl-provider.patch: Grab patch from upstream that
    removes the openssl provider, which breaks in obscure ways with OpenSSL 3.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 18 May 2022 20:06:50 +0200

## botan 2.19.3+dfsg

=== debian/changelog ===
botan (2.19.3+dfsg-1ubuntu2) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:40:02 +0200

botan (2.19.3+dfsg-1ubuntu1) lunar; urgency=medium

  * Build with -O2 on ppc64el to avoid failing tests (LP: #2008914)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 01 Mar 2023 17:15:22 +0100

botan (2.19.3+dfsg-1) unstable; urgency=high

  * New upstream release:
    - fix  CVE-2022-43705: malicious OCSP responder could forge OCSP
      responses.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 17 Nov 2022 21:59:51 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+XSCB-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,12 @@
 
 DEVPKG = $(CURDIR)/debian/libbotan-2-dev
 DOCPKG = $(CURDIR)/debian/libbotan-2-doc
+
+# Building with gcc 12.2.0 and -O3 on ppc64el results in failing tests
+ifeq ($(DEB_HOST_ARCH),ppc64el)
+export DEB_CXXFLAGS_MAINT_APPEND = -O2
+export DEB_LDFLAGS_MAINT_APPEND = -O2
+endif
 
 ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
 OS_MAP_hurd = gnu

=== debian/watch ===
version=4
# GitHub
opts=uversionmangle=s/(\d)[_\.\-\+]?((rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/i,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//i,\
pgpsigurlmangle=s/$/.asc/ \
https://github.com/randombit/botan/tags \
(?:|.*/)v?(2.\d\S*)@ARCHIVE_EXT@

# Upstream
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
uversionmangle=s/-?(beta)-?/~$1/;s/-?(alpha)-?/~$1/;s/-?(rc)-?/~rc/;s/\.?(RC)-?/~rc/,\
pgpsigurlmangle=s/$/.asc/ \
https://botan.randombit.net/releases/ Botan-(2.\d\S+)@ARCHIVE_EXT@

## botan 2.19.5+dfsg

=== debian/changelog ===
botan (2.19.5+dfsg-4) unstable; urgency=medium

  * Disable botan and python3-botan binary packages for botan3.
  * Build and runtime depend on ca-certificates (closes: #1099641).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 22 Mar 2025 17:57:11 +0100

botan (2.19.5+dfsg-3) unstable; urgency=high

  * Backport CVE-2024-50383 security fix for add more value barriers to avoid
    compiler induced side channels (closes: #1086039).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 26 Oct 2024 19:12:49 +0200

botan (2.19.5+dfsg-2) unstable; urgency=medium

  * Backport upstream fix for removing setuptools dependency
    (closes: #1080557).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 07 Sep 2024 07:45:50 +0200

botan (2.19.5+dfsg-1) unstable; urgency=high

  * New upstream release:
    - fixes CVE-2024-34702: Denial of Service Due to Excessive Name
      Constraints,
    - fixes CVE-2024-39312: Authorization Error due to Name Constraint
      Decoding Bug.
  * Update Standards-Version to 4.7.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 12 Jul 2024 22:59:28 +0200

botan (2.19.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Use no for Rules-Requires-Root.
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 22 Feb 2024 19:16:05 +0100

=== debian/control ===
Source: botan
Section: libs
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 libbz2-dev,
 liblzma-dev,
 libsqlite3-dev,
 libtspi-dev,
 zlib1g-dev,
 python3:any,
 python3-docutils,
 ca-certificates,
Build-Depends-Indep:
 python3-sphinx,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://botan.randombit.net/

#Package: botan
#Section: libdevel
#Architecture: any
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Description: multiplatform crypto library (2.x version)
# Botan is a C++ library which provides support for many common cryptographic
# operations, including encryption, authentication, and X.509v3 certificates and
# CRLs. A wide variety of algorithms is supported, including RSA, DSA, DES, AES,
# MD5, and SHA-1.
# .
# This package contains the 2.x version of Botan.
#
Package: libbotan-2-19
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, ca-certificates
Description: multiplatform crypto library (2.x version)
 Botan is a C++ library which provides support for many common cryptographic
 operations, including encryption, authentication, and X.509v3 certificates and
 CRLs. A wide variety of algorithms is supported, including RSA, DSA, DES, AES,
 MD5, and SHA-1.
 .
 This package contains the 2.x version of Botan.

Package: libbotan-2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libbotan-2-19 (= ${binary:Version})
Description: multiplatform crypto library (2.x version)
 Botan is a C++ library which provides support for many common cryptographic
 operations, including encryption, authentication, and X.509v3 certificates and
 CRLs. A wide variety of algorithms is supported, including RSA, DSA, DES, AES,
 MD5, and SHA-1.
 .
 This package contains the 2.x version of Botan.

Package: libbotan-2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, sphinx-doc, libjs-jquery, libjs-underscore, node-html5shiv
Description: multiplatform crypto library (2.x version)
 Botan is a C++ library which provides support for many common cryptographic
 operations, including encryption, authentication, and X.509v3 certificates and
 CRLs. A wide variety of algorithms is supported, including RSA, DSA, DES, AES,
 MD5, and SHA-1.
 .
 This package contains the 2.x version of Botan.
#
#Package: python3-botan
#Section: python
#Architecture: any
#Depends: ${misc:Depends}, ${python3:Depends}, libbotan-2-19 (= ${binary:Version})
#Description: multiplatform crypto library (2.x version), Python3 module
# Botan is a C++ library which provides support for many common cryptographic
# operations, including encryption, authentication, and X.509v3 certificates and
# CRLs. A wide variety of algorithms is supported, including RSA, DSA, DES, AES,
# MD5, and SHA-1.
# .
# This package contains the Botan (2.x version) module for Python 3.x .

=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,6 @@
 
 DEVPKG = $(CURDIR)/debian/libbotan-2-dev
 DOCPKG = $(CURDIR)/debian/libbotan-2-doc
-
-# Building with gcc 12.2.0 and -O3 on ppc64el results in failing tests
-ifeq ($(DEB_HOST_ARCH),ppc64el)
-export DEB_CXXFLAGS_MAINT_APPEND = -O2
-export DEB_LDFLAGS_MAINT_APPEND = -O2
-endif
 
 ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
 OS_MAP_hurd = gnu
@@ -74,7 +68,8 @@
 	dh_missing --list-missing
 
 %:
-	dh $@ --with python3
+	dh $@
+#	dh $@ --with python3
 
 .PHONY: override_dh_clean override_dh_auto_configure override_dh_auto_test \
 	override_dh_install-arch override_dh_install-indep \
